## libapache2-mod-perl2 2.0.5

=== debian/changelog ===
libapache2-mod-perl2 (2.0.5-4) unstable; urgency=low

  * Add patch from upstream svn adopting the Perl_sv_dup() changes in
    Perl 5.14
  * Don't strip LFS CFLAGS in lib/Apache2/Build.pm any more
    (Closes: #636651)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 13 Nov 2011 15:14:12 +0000

libapache2-mod-perl2 (2.0.5-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ Niko Tyni ]
  * Improve the test suite coverage (again) with a typo fix. The
    APACHE_TEST_EXTRA_ARGS setting in debian/rules was introduced in
    2.0.3-5 to improve the test suite coverage, but got accidentally
    disabled later with 2.0.5-1 due to a missing line continuation.
    Closes: #646267

  [ gregor herrmann ]
  * Bump debhelper compatibility level to 8.

 -- gregor herrmann <gregoa@debian.org>  Sat, 22 Oct 2011 23:35:26 +0200

libapache2-mod-perl2 (2.0.5-2) unstable; urgency=low

  * Team upload.
  * Add 230-test-failures-fix.patch. Fixes for the testsuite to be
    compatible with >= LWP + HTTP:Headers 6.0. (LP: #797716),
    (Closes: #628296).

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 16 Jun 2011 14:56:44 +0200

libapache2-mod-perl2 (2.0.5-1) unstable; urgency=low

  [ Nicholas Bamber ]
  * Added myself to Uploaders
  * Upped debian compatibility level to 7, migrated to source format '3.0
    (quilt)' and removed quilt
  * Refreshed debian/rules
  * Upped standards version to 3.9.2
  * Added versioning of depdendency between dev and core packages
  * Registered documents with doc-base
    - Adding todo files to doc package
    - Added dwww as a recommendation to doc package
    - Transformed .pod files to indexed HTML files (Closes: #507279)
    - Copied .png files and added them to the HTML index
  * New upstream release
  * Reviewed patches
    - Removed 009_allow_parallel_build.patch [applied upstream]
    - Removed 100-svn-XSS-Status.patch [applied upstream]
    - Removed 110-Fix-two-uninitialized-....patch [applied upstream]
    - Removed 035-testrequest_add_credentials.patch [applied upstream]
    - New lintian version requires new correctons
  * Email change: Andres Salomon -> dilinger@debian.org
  * Refreshed copyright
  * Reviewed dependencies
  * Installed gdb scripts to examples for dev package

  [ Damyan Ivanov ]
  * add avoid-db-linkage.patch: avoids needless linking with libdb, which
    entangles us in libdb transitions. Closes: #621415
  * rules: pass --parallel to dh command allowing parallel builds
  * rules: pass CFLAGS to upstream make as MODPERL_OPTIMIZE, allowing
    dpkg-buildpackage-induced CFLAGS to end up on the compiler command line
  * drop libgdbm-dev from B-D

 -- Damyan Ivanov <dmn@debian.org>  Tue, 19 Apr 2011 09:47:07 +0300

libapache2-mod-perl2 (2.0.4-7) unstable; urgency=low

  * change source Section to 'httpd'
  * add a patch from Niko Tyni avoiding two warnings about use of uninitialized
    values, which break tests under Perl 5.12. (Closes: #578481)
  * add a patch fixinf spelling errors in POD and other documentation
  * add a patch fixinng POD errors
  * add a patch fixing bad manpage whatis name
  * Standards-Version: 3.8.4
    + support 'nockeck' in DEB_BUILD_OPTIONS as per Policy 3.8.1
  * describe all patches

 -- Damyan Ivanov <dmn@debian.org>  Wed, 21 Apr 2010 12:48:11 +0300

libapache2-mod-perl2 (2.0.4-6) unstable; urgency=high

  [ gregor herrmann ]
  * debian/control: Changed: (build-)depend on perl instead of perl-
    modules.

  [ Dario Minnucci ]
  * docs/index_top.html: Issued patch 099-fix-url-on-index_top.patch 
    to fix link URL. (Closes: #507606)

  [ Damyan Ivanov ]
  * add 100-svn-XSS-Status.patch; fixes XSS in Apache2::Status (CVE-2009-0796)
    Patch taken from r760926 of upstream SVN.
    Closes: #567635
  * .docs: drop debian/NEWS.Debian and Changes
  * -doc: depend on ${misc:Depends}
  * drop debian/NEWS (documents changes before oldstable)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 30 Jan 2010 18:00:43 +0200

libapache2-mod-perl2 (2.0.4-5) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  [ Damyan Ivanov ]
  * add 010-doc-no-more-send_http_header.patch removing a forgotten
    send_http_header that is no nonger available in Registry.pod
    Closes: #507821 -- Can't locate object method "send_http_header" via
                       package "Apache2::RequestRec"

  [ gregor herrmann ]
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Gunnar Wolf ]
  * Added conditional dependency on libapache2-mpm-itk (together with
    apache2). (Closes: #508910)
  * Added patch which created a FTBFS with the libwww-perl 5.813 to 5.820
    update (acknowledged upstream, will be included in next release)
    (Closes: #509457)
  * reordered debian/patches/series to match reality  

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 26 Dec 2008 19:38:28 -0600

libapache2-mod-perl2 (2.0.4-4) unstable; urgency=medium

  [ Frank Lichtenheld ]
  * Convert debian/copyright to proposed new format.
  * Refer to Apache License in /usr/share/common-licenses.
  * Bump Standards-Version to 3.8.0.

  [ gregor herrmann ]
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.

  [ Damyan Ivanov ]
  * add dependency on apache2 (>= 2.2.4) because of the new
    ap_get_server_banner symbol not available in previous apaches
    Closes: #503375: libapache2-mod-perl2 - Uses undefined symbol
                     ap_get_server_banner
    Thanks to Bastian Blank for reporting.

 -- Damyan Ivanov <dmn@debian.org>  Fri, 31 Oct 2008 14:00:39 +0200

libapache2-mod-perl2 (2.0.4-3) unstable; urgency=low

  * Add an alternative (and preferred) build-dependency on
    perl-modules (>= 5.10.0-14) to the libcgi-pm-perl one.

