=== debian/control ===
Source: libapache2-mod-perl2
Section: httpd
Priority: optional
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Damyan Ivanov <dmn@debian.org>,
 Niko Tyni <ntyni@debian.org>, gregor herrmann <gregoa@debian.org>,
 Nicholas Bamber <nicholas@periapt.co.uk>, Dominic Hargreaves <dom@earth.li>
Standards-Version: 3.9.2
Homepage: http://perl.apache.org/
Vcs-Git: git://git.debian.org/pkg-perl/packages/libapache2-mod-perl2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libapache2-mod-perl2.git
Build-Depends: perl,
 apache2,
 apache2-threaded-dev | apache2-prefork-dev,
 debhelper (>= 8),
 libbsd-resource-perl,
 libcompress-zlib-perl,
 libdevel-symdump-perl,
 libgtop2-dev,
 libhtml-parser-perl,
 libhtml-template-perl,
 libperl-dev,
 libreadonly-perl,
 libwww-perl,
 locales-all,
 netbase,
 perl (>= 5.10.1) | libautodie-perl

Package: libapache2-mod-perl2
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
 apache2 | apache2-mpm-itk,
 apache2.2-common,
 libdevel-symdump-perl,
 liburi-perl,
 libwww-perl,
 netbase
Recommends: libbsd-resource-perl, libapache2-reload-perl
Description: Integration of perl with the Apache2 web server
 mod_perl allows the use of Perl for just about anything
 Apache-related, including <Perl> sections in the config
 files and the famous Apache::Registry module for caching
 compiled scripts.
 .
 It can produce anywhere from a 400% to 2000% speed increase
 on sites using perl scripts, and is used on many large script-
 based web sites - for example, http://slashdot.org.
 
Package: libapache2-mod-perl2-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends},
 libapache2-mod-perl2 (>= ${source:Version}),
 libapache2-mod-perl2 (<< ${source:Version}.1~)
Description: Integration of perl with the Apache2 web server - development files
 mod_perl allows the use of Perl for just about anything
 Apache-related, including <Perl> sections in the config
 files and the famous Apache::Registry module for caching
 compiled scripts.
 .
 This package contains the header files required for building
 C-based modules integrating with mod_perl.

Package: libapache2-mod-perl2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: dwww
Description: Integration of perl with the Apache2 web server - documentation
 mod_perl allows the use of Perl for just about anything
 Apache-related, including <Perl> sections in the config
 files and the famous Apache::Registry module for caching
 compiled scripts.
 .
 This package contains additional documentation for mod_perl tailored
 to be indexed by the doc-base system.
