=== debian/watch ===
version=3
http://perl.apache.org/dist/mod_perl-([\d\.]+)\.tar\.gz
