## libapache2-mod-perl2 2.0.7

=== debian/changelog ===
libapache2-mod-perl2 (2.0.7-3) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)

  [ Dominic Hargreaves ]
  * Fix FTBFS with versions of perl including the CVE-2013-1667
    fix (Closes: #702821)

 -- Dominic Hargreaves <dom@earth.li>  Tue, 12 Mar 2013 20:06:02 +0000

libapache2-mod-perl2 (2.0.7-2) unstable; urgency=low

  * Apply patch from Zefram fixing occasional FTBFS due to
    pipelined response deadlock (Closes: #676754)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 05 Jan 2013 18:27:29 +0000

libapache2-mod-perl2 (2.0.7-1) unstable; urgency=low

  * New upstream release
    - fixes FTBFS with perl 5.16 (Closes: #676269)
  * Partially revert change which removes Apache::Sizelimit::Core
    as this is still needed (Closes: #661370)

 -- Dominic Hargreaves <dom@earth.li>  Thu, 07 Jun 2012 18:51:16 +0100

libapache2-mod-perl2 (2.0.6-2) unstable; urgency=low

  * debian/rules: run dh_auto_test with --max-parallel=1.
    This avoids build failures with -jN and build-arch.
  * debian/copyright: update to Copyright-Format 1.0.
  * Update packaging copyright years.

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 May 2012 23:54:34 +0200

libapache2-mod-perl2 (2.0.6-1) unstable; urgency=low

  * New upstream release
    - rebase/drop some patches

 -- Dominic Hargreaves <dom@earth.li>  Sat, 19 May 2012 20:49:39 +0100

libapache2-mod-perl2 (2.0.5-6) unstable; urgency=low

  * Bump debhelper compat level to 9
  * Apply patch from Niko Tyni fixing FTBFS with -Werror=format-security
    (Closes: #661540)
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 01 Apr 2012 16:25:22 +0100

libapache2-mod-perl2 (2.0.5-5) unstable; urgency=low

  [ gregor herrmann ]
  * Remove build dependency on libcompress-zlib-perl, Compress::Zlib is in
    perl core since 5.9.3.

  [ Dominic Hargreaves ]
  * Add Build-Conflicts on apache2-mpm-event (marked as experimental)
    since it causes this package to FTBFS (Closes: #652331)
  * Add patches from Niko fixing reference counting bugs when using perl
    5.14 (Closes: #650675)

 -- Dominic Hargreaves <dom@earth.li>  Sat, 14 Jan 2012 18:50:42 +0000
