=== debian/control ===
--- 
+++ 
@@ -5,16 +5,15 @@
 Uploaders: Damyan Ivanov <dmn@debian.org>,
  Niko Tyni <ntyni@debian.org>, gregor herrmann <gregoa@debian.org>,
  Nicholas Bamber <nicholas@periapt.co.uk>, Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://perl.apache.org/
-Vcs-Git: git://git.debian.org/pkg-perl/packages/libapache2-mod-perl2.git
+Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libapache2-mod-perl2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libapache2-mod-perl2.git
 Build-Depends: perl,
  apache2,
  apache2-threaded-dev | apache2-prefork-dev,
- debhelper (>= 8),
+ debhelper (>= 9.20120312),
  libbsd-resource-perl,
- libcompress-zlib-perl,
  libdevel-symdump-perl,
  libgtop2-dev,
  libhtml-parser-perl,
@@ -25,6 +24,7 @@
  locales-all,
  netbase,
  perl (>= 5.10.1) | libautodie-perl
+Build-Conflicts: apache2-mpm-event
 
 Package: libapache2-mod-perl2
 Architecture: any
