=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(firstword $(shell dh_listpackages))
TMP     = $(CURDIR)/debian/$(PACKAGE)
LMP     = lib/ModPerl

%:
	dh $@ --parallel

override_dh_auto_configure:
	! [ -e $(LMP)/DummyVersions.pm ] \
	    || cp $(LMP)/DummyVersions.pm debian/DummyVersions.pm.save
	! [ -e $(LMP)/MethodLookup.pm  ] \
	    || cp $(LMP)/MethodLookup.pm  debian/MethodLookup.pm.save
	dh_auto_configure -- \
		INSTALLDIRS=vendor \
		MP_USE_GTOP=1 \
		MP_TRACE=0 \
		MP_USE_DSO=1 \
		MP_USE_STATIC=0 \
		MP_CCOPTS="$(CFLAGS) -Wall" \
		MP_INCLUDE_DIR=/usr/include/apache2 \
		MP_APXS=/usr/bin/apxs2 \
		MP_INCLUDE_DIR=/usr/include/apr-1.0

override_dh_auto_build:
	dh_auto_build --parallel -- MODPERL_OPTIMIZE="$(CFLAGS)" OPTIMIZE="$(CFLAGS)"


override_dh_auto_test:
	APACHE_TEST_EXTRA_ARGS="-httpd_conf /etc/apache2/apache2.conf" \
		LANG=C \
		dh_auto_test --max-parallel=1

override_dh_clean:
	dh_clean
	rm -rf t/htdocs/hooks lib/Apache WrapXS debian/docs
	find . -name 'pod2htmd.tmp' -exec rm '{}' \;
	find . -name 'pod2htmi.tmp' -exec rm '{}' \;
	! [ -e debian/DummyVersions.pm.save ] \
	    || mv debian/DummyVersions.pm.save $(LMP)/DummyVersions.pm
	! [ -e debian/MethodLookup.pm.save  ] \
	    || mv debian/MethodLookup.pm.save  $(LMP)/MethodLookup.pm

override_dh_install:
	mkdir -p $(CURDIR)/debian/docs
	perl debian/transform_pod2html.pl $(CURDIR) docs debian
	dh_install
	mv $(TMP)/usr/bin/mp2bug $(TMP)/usr/share/libapache2-mod-perl2/
	rm -r $(TMP)/usr/bin/
	install -m755 debian/libapache2-mod-perl2.bug $(TMP)/usr/share/bug/libapache2-mod-perl2
	rm $(TMP)/usr/lib/perl5/Apache2/Reload.pm
	rm $(TMP)/usr/lib/perl5/Apache/SizeLimit.pm
	rm $(TMP)/usr/lib/perl5/Apache/Reload.pm

override_dh_installman:
	dh_installman
	rm $(TMP)/usr/share/man/man3/Apache2::Reload.3pm
	rm $(TMP)/usr/share/man/man3/Apache::SizeLimit.3pm
	rm $(TMP)/usr/share/man/man3/Apache::Reload.3pm

override_dh_installexamples:
	dh_installexamples
	prename 's,\.,,' debian/libapache2-mod-perl2-dev/usr/share/doc/libapache2-mod-perl2-dev/examples/code/.debug-*

# These rules are needed because otherwise the build process
# tries to re-make the 'build' directory and fails
.PHONY: build

build:
	dh build
