## libapache2-mod-perl2 2.0.8%2Bhttpd24-r1449661

=== debian/changelog ===
libapache2-mod-perl2 (2.0.8+httpd24-r1449661-6ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: arbitrary perl code execution via .htaccess file
    - debian/patches/CVE-2011-2767.patch: only allow perl and pod sections
      in server configuration and not per directory in
      src/modules/perl/mod_perl.c.
    - CVE-2011-2767
  * Fix FTBFS caused by test failures due to Apache security updates.
    - debian/patches/370_http_syntax.patch
    - debian/patches/380_inject_header_line_terminators.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 15 Nov 2018 08:54:50 -0500

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-6ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:52:00 +0100

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-6ubuntu1) saucy; urgency=low

  * Merge with Debian, remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Oct 2013 20:16:04 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-6) unstable; urgency=low

  [ gregor herrmann ]
  * Add patch from Jorge Manuel B. S. Vicetto to adjust test module
    configuration to mod_authz_core changes in 2.4. Currently disabled since
    it doesn't seem to be needed during Debian builds.
  * Add patch from Jorge Manuel B. S. Vicetto to handle mod_rewrite
    changes in apache 2.4.
    Load rewrite_module in debian/apache2.conf.
  * Drop lintian override (spelling-error-in-binary).
    lintian 2.5.14 ignores "teH" in ELF binaries.

  [ Ivan Kohler ]
  * Add patch from Michael Schout to add a conditional define for Apache 2.4
    (-D APACHE24) to Apache::Test, from
    https://rt.cpan.org/Public/Bug/Display.html?id=87620
  * Add myself to Uploaders:

 -- Ivan Kohler <ivan-debian@420.am>  Tue, 06 Aug 2013 21:53:01 -0700

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-5ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Jul 2013 20:50:59 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-5) unstable; urgency=low

  * Update debian/patches/280-ignore-sysconf-for-defines.patch not
    to unnecessarily use explicit configuration file and server root
    for running 'apache2 -l'
  * Update debian/patches/030-apxs-no-prefix.patch to fall back to
    SYSCONFDIR when PREFIX fails.
  * Include the contents of t/logs/error_log in the build log
    if the test suite fails, to debug #711167 on ia64.

 -- Niko Tyni <ntyni@debian.org>  Wed, 19 Jun 2013 23:26:43 +0300

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-4) unstable; urgency=low

  * Add 320-cleanup-authn-authz-providers.patch from Niko Tyni.
    The patch makes sure authn and authz providers are cleaned up in time by
    registering them in the configuration pool rather than the server process
    pool.
    Thanks to Stefan Fritsch for suggesting the fix. (Closes: #711213)
  * Update lintian override (false positive spelling-error).

 -- gregor herrmann <gregoa@debian.org>  Sat, 15 Jun 2013 17:29:02 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-3) unstable; urgency=low

  * Add a patch to handle a test failure with newer HTTP::Headers.
    Thanks to Niko Tyni for the analysis. (Closes: #710873)
  * Load the mod_auth_digest module in debian/apache2.conf and remove the
    TODOs from the t/hooks/authen_digest.t in debian/patches/290-httpd-
    transition-test-todo.patch.
    This addresses parts of #710327. Thanks to Niko Tyni for the pointer.
  * After loading mod_auth_digest, the tests behave differently. Tests in
    ModPerl-Registry/ and Apache-Reload/ are now run by dh_auto_test.
    Adjust debian/rules.
  * The newly run tests in ModPerl-Registry/ and Apache-Reload/ need
    DefaultRuntimeDir set, otherwise mod_auth_digest tries to write to
    /var/run and fails. Add patch 310-defaultruntimedir.patch:
    Set DefaultRuntimeDir in the created apache config for Apache::Test in
    Apache-Test/lib/Apache/TestConfig.pm.
    Thanks to Niko Tyni for his help in teaking this patch.

 -- gregor herrmann <gregoa@debian.org>  Tue, 04 Jun 2013 19:01:10 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-2) unstable; urgency=low

  [ Dominic Hargreaves ]
  * Credit for the Apache 2.4 patch (from the upstream httpd24 branch)
    applied in this and the previous release goes to Jan Kaluza

  [ gregor herrmann ]
  * Upload to unstable now that apache 2.4.4-4 is there.
    Closes: #666822
  * Add a lintian override for non-standard-apache2-module-package-name.
    lintian is technically right, but changing the name after 13 years
    doesn't sound appealing.
  * Add a lintian override for spelling-error-in-binary. The string is
    nowhere in the code.

 -- gregor herrmann <gregoa@debian.org>  Fri, 31 May 2013 00:49:37 +0200

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-1) experimental; urgency=low

  [ gregor herrmann ]
  * New upstream release.

  [ Niko Tyni ]
  * First steps at Apache 2.4 support. Upstream doesn't currently support
    2.2 and 2.4 with the same codebase, so we don't even try. dh_apache2
    now does most of the heavy lifting, we don't need special maintainer
    scripts anymore.
  * Revisit Makefile.PL arguments. MP_APR_CONFIG is now necessary,
    MP_INCLUDE_DIR and MP_APXS can be removed.
  * Remove gtop linkage and MP_USE_GTOP. Nobody seems to know anymore why
    libgtop was needed, so this seems a good time to drop it.
  * Supply a list of Apache modules needed for the test suite. We used to
    get these from /etc/apache2, but this is much more robust. Also, when
    using the test directory as server root, Apache seems to require
    existing run/ and logs/ directories, so create them when necessary.

