=== debian/control ===
--- 
+++ 
@@ -1,36 +1,35 @@
 Source: libapache2-mod-perl2
 Section: httpd
 Priority: optional
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Damyan Ivanov <dmn@debian.org>,
  Niko Tyni <ntyni@debian.org>, gregor herrmann <gregoa@debian.org>,
- Nicholas Bamber <nicholas@periapt.co.uk>, Dominic Hargreaves <dom@earth.li>
-Standards-Version: 3.9.3
+ Nicholas Bamber <nicholas@periapt.co.uk>, Dominic Hargreaves <dom@earth.li>,
+ Ivan Kohler <ivan-debian@420.am>
+Standards-Version: 3.9.4
 Homepage: http://perl.apache.org/
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libapache2-mod-perl2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libapache2-mod-perl2.git
 Build-Depends: perl,
- apache2,
- apache2-threaded-dev | apache2-prefork-dev,
+ apache2-dev (>= 2.4~),
+ apache2 (>= 2.4~),
+ dh-apache2,
  debhelper (>= 9.20120312),
  libbsd-resource-perl,
  libdevel-symdump-perl,
- libgtop2-dev,
  libhtml-parser-perl,
  libhtml-template-perl,
  libperl-dev,
  libreadonly-perl,
  libwww-perl,
- locales-all,
- netbase,
- perl (>= 5.10.1) | libautodie-perl
+ locales,
+ netbase
 Build-Conflicts: apache2-mpm-event
 
 Package: libapache2-mod-perl2
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
- apache2 | apache2-mpm-itk,
- apache2.2-common,
  libdevel-symdump-perl,
  liburi-perl,
  libwww-perl,
@@ -65,7 +64,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: dwww
+Suggests: dwww
 Description: Integration of perl with the Apache2 web server - documentation
  mod_perl allows the use of Perl for just about anything
  Apache-related, including <Perl> sections in the config
