=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,12 @@
 
 PACKAGE = $(firstword $(shell dh_listpackages))
 TMP     = $(CURDIR)/debian/$(PACKAGE)
-LMP     = lib/ModPerl
+LMP     = $(CURDIR)/lib/ModPerl
+MPR     = $(CURDIR)/ModPerl-Registry
+APR     = $(CURDIR)/Apache-Reload
 
 %:
-	dh $@ --parallel
+	dh $@ --parallel --with apache2
 
 override_dh_auto_configure:
 	! [ -e $(LMP)/DummyVersions.pm ] \
@@ -14,23 +16,33 @@
 	    || cp $(LMP)/MethodLookup.pm  debian/MethodLookup.pm.save
 	dh_auto_configure -- \
 		INSTALLDIRS=vendor \
-		MP_USE_GTOP=1 \
 		MP_TRACE=0 \
 		MP_USE_DSO=1 \
 		MP_USE_STATIC=0 \
 		MP_CCOPTS="$(CFLAGS) -Wall" \
-		MP_INCLUDE_DIR=/usr/include/apache2 \
-		MP_APXS=/usr/bin/apxs2 \
-		MP_INCLUDE_DIR=/usr/include/apr-1.0
+		MP_APR_CONFIG=/usr/bin/apr-config
 
 override_dh_auto_build:
 	dh_auto_build --parallel -- MODPERL_OPTIMIZE="$(CFLAGS)" OPTIMIZE="$(CFLAGS)"
 
 
 override_dh_auto_test:
-	APACHE_TEST_EXTRA_ARGS="-httpd_conf /etc/apache2/apache2.conf" \
+	[ -d $(CURDIR)/t/run ] || mkdir $(CURDIR)/t/run
+	[ -d $(CURDIR)/t/logs ] || mkdir $(CURDIR)/t/logs
+	touch $(CURDIR)/t/logs/error_log
+	[ -d $(MPR)/t/run ] || mkdir $(MPR)/t/run
+	[ -d $(MPR)/t/logs ] || mkdir $(MPR)/t/logs
+	touch $(MPR)/t/logs/error_log
+	[ -d $(APR)/t/run ] || mkdir $(APR)/t/run
+	[ -d $(APR)/t/logs ] || mkdir $(APR)/t/logs
+	touch $(APR)/t/logs/error_log
+	APACHE_TEST_EXTRA_ARGS="-httpd_conf $(CURDIR)/debian/apache2.conf" \
 		LANG=C \
-		dh_auto_test --max-parallel=1
+		dh_auto_test --max-parallel=1 || ( RET=$$?; \
+            echo "--- test suite failed with code $$RET, t/logs/error_log starts ---"; \
+            cat t/logs/error_log; \
+            echo "--- test suite failed with code $$RET, t/logs/error_log ends   ---"; \
+            exit $$RET )
 
 override_dh_clean:
 	dh_clean
@@ -41,6 +53,14 @@
 	    || mv debian/DummyVersions.pm.save $(LMP)/DummyVersions.pm
 	! [ -e debian/MethodLookup.pm.save  ] \
 	    || mv debian/MethodLookup.pm.save  $(LMP)/MethodLookup.pm
+	# these shouldn't be needed really
+	rm -rf $(CURDIR)/t/logs $(CURDIR)/t/run $(MPR)/t/logs $(MPR)/t/run $(APR)/t/logs $(APR)/t/run
+	find . -name 'Makefile.old' -exec rm '{}' \;
+	rm -f Apache-Test/Apache-TestItSelf/t/SMOKE t/core
+
+override_dh_auto_install:
+	rm -f t/core
+	dh_auto_install
 
 override_dh_install:
 	mkdir -p $(CURDIR)/debian/docs
