## libapache2-mod-perl2 2.0.8+httpd24-r1449661

=== debian/changelog ===
libapache2-mod-perl2 (2.0.8+httpd24-r1449661-9ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Aug 2014 11:29:34 +0100

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-9) unstable; urgency=medium

  * Build with gcc-4.9 again. (Closes: #754901)
    + work around gcc-4.9 breakage by disabling the tree-dse
      optimization for modperl_env_table_populate().

 -- Niko Tyni <ntyni@debian.org>  Wed, 06 Aug 2014 16:02:28 +0300

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-8) unstable; urgency=medium

  * Add two upstream patches fixing test suite problems with Perl 5.20.
    (Closes: #750240)

 -- Niko Tyni <ntyni@debian.org>  Wed, 16 Jul 2014 21:07:37 +0300

libapache2-mod-perl2 (2.0.8+httpd24-r1449661-7) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Daniel Lintott ]
  * Update debian/watch with correct URL for apache.org
  * Add dversion mangle to remove +httpd24-r... suffix

  [ Damyan Ivanov ]
  * add libcgi-pm-perl to b-d, in-core version is deprecated in 5.20
  * rules: replace hard-coded usr/lib/perl5 with the value of
    $Config{vendorarch} preparing for perl 5.20

  [ gregor herrmann ]
  * Build with gcc-4.8 for the time being to work around problem with
    gcc-4.9. (Closes: #754308)
  * Add patch to make Linux::Pid conditional in Apache::SizeLimit. Thanks
    to Guillem Jover for the patch. (Closes: #684290)

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Jul 2014 15:36:53 +0200
