=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Damyan Ivanov <dmn@debian.org>,
  Niko Tyni <ntyni@debian.org>, gregor herrmann <gregoa@debian.org>,
- Nicholas Bamber <nicholas@periapt.co.uk>, Dominic Hargreaves <dom@earth.li>,
+ Dominic Hargreaves <dom@earth.li>,
  Ivan Kohler <ivan-debian@420.am>
 Standards-Version: 3.9.4
 Homepage: http://perl.apache.org/
@@ -17,6 +17,7 @@
  dh-apache2,
  debhelper (>= 9.20120312),
  libbsd-resource-perl,
+ libcgi-pm-perl,
  libdevel-symdump-perl,
  libhtml-parser-perl,
  libhtml-template-perl,
