## libapache2-mod-perl2 2.0.9~1624218

=== debian/changelog ===
libapache2-mod-perl2 (2.0.9~1624218-2+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2011-2767:
    Jan Ingvoldstad discovered that libapache2-mod-perl2 allows attackers to
    execute arbitrary Perl code by placing it in a user-owned .htaccess file,
    because (contrary to the documentation) there is no configuration option
    that permits Perl code for the administrator's control of HTTP request
    processing without also permitting unprivileged users to run Perl code in
    the context of the user account that runs Apache HTTP Server processes.

 -- Markus Koschany <apo@debian.org>  Tue, 18 Sep 2018 19:59:36 +0200

libapache2-mod-perl2 (2.0.9~1624218-2+deb8u2) jessie; urgency=medium

  * Patch the test suite for apache2_2.4.10-10+deb8u8 compatibility.
    (Closes: #864316)

 -- Niko Tyni <ntyni@debian.org>  Wed, 14 Jun 2017 14:39:56 +0300

libapache2-mod-perl2 (2.0.9~1624218-2+deb8u1) jessie; urgency=medium

  * Apply upstream 2.0.9 patches fixing crashes in
    modperl_interp_unselect(). Thanks to Patrick Matthäi.
    (Closes: #803043)

 -- Niko Tyni <ntyni@debian.org>  Sun, 15 Nov 2015 20:42:27 +0200

libapache2-mod-perl2 (2.0.9~1624218-2) unstable; urgency=medium

  * Add autopkgtest support.
  * Fix missing symbols in APR.so. (Closes: #765174)

 -- Niko Tyni <ntyni@debian.org>  Wed, 15 Oct 2014 09:32:20 +0300

libapache2-mod-perl2 (2.0.9~1624218-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Niko Tyni ]
  * Imported upstream snapshot from to-be version 2.0.9 trunk, revision
    1624218
    + remove five patches integrated upstream.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Sun, 28 Sep 2014 11:20:12 +0300

libapache2-mod-perl2 (2.0.9~1604013-2) experimental; urgency=medium

  * Fix intermittent failures in t/apache/read3.t. (Closes: #697682) 
  * Fix invalid code in modperl_env.c that was the root cause of
    the gcc-4.9 breakage. Thanks to Matthias Klose and Richard Biener.
    (Closes: #757240)
    + enable the tree-dse GCC optimization again.

 -- Niko Tyni <ntyni@debian.org>  Sat, 09 Aug 2014 17:00:30 +0300

libapache2-mod-perl2 (2.0.9~1604013-1) experimental; urgency=medium

  [ Damyan Ivanov ]
  * Imported Upstream snapshot from to-be version 2.0.9 trunk, revision
    1604013
    + update upstream source description in README.source
  * drop 280-ignore-sysconf-for-defines.patch, applied upstream
  * refresh all patches to apply cleanly some hunks are just dropped as
    upstream has them
  * drop 320-cleanup-authn-authz-providers.patch, applied upstream

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 3.9.5.
  * Drop 370-Fix-t-directive-perlloadmodule2.t.patch, was taken from
    upstream.

  [ Niko Tyni ]
  * Drop 290-httpd-transition-test-todo.patch, issue fixed upstream.
    (Closes: #710327)
  * Fix builds with gcc -O0 (DEB_BUILD_OPTIONS=noopt) by defining
    MP_IN_XS in APR and APR/PerlIO builds. (Closes: #756989)
  * Fix t/compat/conn_rec.t failures by restoring httpd-2.4 compatibility
    in lib/Apache2/compat.pm.
  * Mark failing tests in t/perl/ithreads3.t as TODO for now; they are
    not a regression from previous releases.
  * Drop 300-http-headers-version.patch in favour of the upstream fix.
  * Drop 310-defaultruntimedir.patch, applied upstream.
  * Clean up obsolete complications in debian/rules.
    + don't dump the error log after test failures, it was never very
      useful and causes more trouble than it's worth. (See #711167)

 -- Niko Tyni <ntyni@debian.org>  Thu, 07 Aug 2014 20:42:34 +0300
