=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libapache2-mod-perl2
 Section: httpd
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Damyan Ivanov <dmn@debian.org>,
  Niko Tyni <ntyni@debian.org>, gregor herrmann <gregoa@debian.org>,
  Dominic Hargreaves <dom@earth.li>,
  Ivan Kohler <ivan-debian@420.am>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://perl.apache.org/
 Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libapache2-mod-perl2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-perl/packages/libapache2-mod-perl2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libapache2-mod-perl2.git
 Build-Depends: perl,
  apache2-dev (>= 2.4~),
  apache2 (>= 2.4~),
@@ -24,9 +23,10 @@
  libperl-dev,
  libreadonly-perl,
  libwww-perl,
- locales,
+ locales-all,
  netbase
 Build-Conflicts: apache2-mpm-event
+Testsuite: autopkgtest
 
 Package: libapache2-mod-perl2
 Architecture: any
@@ -65,7 +65,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: dwww
+Recommends: dwww
 Description: Integration of perl with the Apache2 web server - documentation
  mod_perl allows the use of Perl for just about anything
  Apache-related, including <Perl> sections in the config
