## libapache2-mod-perl2 2.0.9

=== debian/changelog ===
libapache2-mod-perl2 (2.0.9-4ubuntu1.2) xenial-security; urgency=medium

  * SECURITY UPDATE: arbitrary perl code execution via .htaccess file
    - debian/patches/CVE-2011-2767.patch: only allow perl and pod sections
      in server configuration and not per directory in
      src/modules/perl/mod_perl.c.
    - CVE-2011-2767

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 15 Nov 2018 08:54:13 -0500

libapache2-mod-perl2 (2.0.9-4ubuntu1.1) xenial; urgency=medium

  * Pull fixes from Debian's package 2.0.10-2 for the DEP8 tests that started
    failing after the CVE-2016-8743 fix for apache2 (LP: #1779400):
    - debian/patches/370_http_syntax.patch: [PATCH 1/2] Fix
      t/apache/read.t HTTP syntax for Apache 2.4.24.
    - debian/patches/380_inject_header_line_terminators.patch: [PATCH 2/2]
      Fix in_bbs_inject_header line terminators for Apache.

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 29 Jun 2018 15:48:39 -0300

libapache2-mod-perl2 (2.0.9-4ubuntu1) xenial; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Robie Basak <robie.basak@ubuntu.com>  Fri, 18 Dec 2015 13:06:54 +0000

libapache2-mod-perl2 (2.0.9-4) unstable; urgency=medium

  * Upload to unstable

 -- Dominic Hargreaves <dom@earth.li>  Sun, 06 Dec 2015 22:46:28 +0000

libapache2-mod-perl2 (2.0.9-3) experimental; urgency=medium

  * Update Perl 5.22 patch to version from mod_perl subversion (r1717474)
  * Upload to experimental.

 -- Dominic Hargreaves <dom@earth.li>  Wed, 02 Dec 2015 14:31:55 +0000

libapache2-mod-perl2 (2.0.9-2) experimental; urgency=low

  * Fixes for the "reproducible builds" effort:
    + Set LC_ALL=C instead of just LANG to fix test failures in some locales
      (Closes: #795730)
    + Make the generated documentation not vary with filesystem ordering
      (Closes: #801520)
  * Fix arch-indep-only builds (Closes: #806053)
  * Perl 5.22 compatibility changes:
    + small test suite tweaks from upstream r1702195 and r1702395
    + work-in-progress upstream patch removing modification of Perl's
      internal magic virtual tables, which were made read-only in Perl 5.22
      (Closes: #787493)
  * Add a hopefully temporary lintian override for
    apache2-module-depends-on-real-apache2-package apache2-bin
    until lintian gets fixed (see #796285).
  * Upload to experimental.

 -- Niko Tyni <ntyni@debian.org>  Mon, 30 Nov 2015 21:18:46 +0200

libapache2-mod-perl2 (2.0.9-1ubuntu1) wily; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.
  * Fixes FTBFS in Wily.

 -- Robie Basak <robie.basak@ubuntu.com>  Thu, 15 Oct 2015 11:11:58 +0000

libapache2-mod-perl2 (2.0.9-1) unstable; urgency=medium

  * Import new upstream release 2.0.9.
  * Build with -fgnu89-inline to fix problems with gcc-5.
    (Closes: #777935)

 -- Niko Tyni <ntyni@debian.org>  Wed, 01 Jul 2015 23:50:38 +0300

libapache2-mod-perl2 (2.0.9~rc2-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Update download URL for mod_perl in debian/copyright. Thanks DUCK!

  [ Niko Tyni ]
  * Imported Upstream release candidate 2.0.9 RC2.

 -- Niko Tyni <ntyni@debian.org>  Mon, 01 Jun 2015 21:38:44 +0300

libapache2-mod-perl2 (2.0.9~rc1-1) unstable; urgency=medium

  * Import upstream release candidate 2.0.9 RC1
    + remove four patches integrated upstream

 -- Niko Tyni <ntyni@debian.org>  Thu, 14 May 2015 09:27:00 +0300

libapache2-mod-perl2 (2.0.9~1624218-2ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 13:53:40 +0000
