=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libapache2-mod-perl2
 Section: httpd
 Priority: optional
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Damyan Ivanov <dmn@debian.org>,
  Niko Tyni <ntyni@debian.org>, gregor herrmann <gregoa@debian.org>,
  Dominic Hargreaves <dom@earth.li>,
@@ -23,7 +24,7 @@
  libperl-dev,
  libreadonly-perl,
  libwww-perl,
- locales-all,
+ locales,
  netbase
 Build-Conflicts: apache2-mpm-event
 Testsuite: autopkgtest
@@ -65,7 +66,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: dwww
+Suggests: dwww
 Description: Integration of perl with the Apache2 web server - documentation
  mod_perl allows the use of Perl for just about anything
  Apache-related, including <Perl> sections in the config
