## libapache2-mod-perl2 2.0.10

=== debian/changelog ===
libapache2-mod-perl2 (2.0.10-2ubuntu3) bionic; urgency=medium

  * No-change rebuild against perlapi-5.26.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Nov 2017 05:39:04 +0000

libapache2-mod-perl2 (2.0.10-2ubuntu2) artful; urgency=medium

  * No-change rebuild for perl 5.26.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 26 Jul 2017 17:07:10 -0700

libapache2-mod-perl2 (2.0.10-2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable (LP: #1663425). Remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 10 Feb 2017 13:42:32 -0800

libapache2-mod-perl2 (2.0.10-2) unstable; urgency=medium

  * Patch the test suite for Apache 2.4.24 compatibility.
    Thanks to Stefan Fritsch. (Closes: #849082)

 -- Niko Tyni <ntyni@debian.org>  Sun, 25 Dec 2016 11:51:10 +0200

libapache2-mod-perl2 (2.0.10-1ubuntu1) zesty; urgency=low

  * Merge with Debian, remaining changes:
    - Change locales-all to locales.
    - Drop dwww from a recommends to a suggests to avoid pulling this into
      main.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 07 Dec 2016 16:47:58 +0000

libapache2-mod-perl2 (2.0.10-1) unstable; urgency=medium

  * Import new upstream release.
  * Upload to unstable.

 -- Niko Tyni <ntyni@debian.org>  Fri, 28 Oct 2016 13:55:13 +0300

libapache2-mod-perl2 (2.0.10~rc2-1) experimental; urgency=medium

  * Import new upstream release candidate.
    + drop Perl 5.22 compatibility patches, applied upstream
  * Upload to experimental.

 -- Niko Tyni <ntyni@debian.org>  Sun, 16 Oct 2016 22:30:53 +0300

libapache2-mod-perl2 (2.0.9-6) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Damyan Ivanov ]
  * replace usage of 'prename' with 'file-rename' and add explicit build
    dependency on 'rename' (Closes: #825430)
  * rules: pass CPPFLAGS to the build
  * refresh patches to apply cleanly
  * Patch Apache2::Build to add LDFLAGS to ldopts() result (Closes: #823967)
  * Claim conformance with Policy 3.9.6

 -- Damyan Ivanov <dmn@debian.org>  Sun, 29 May 2016 12:46:55 +0000

libapache2-mod-perl2 (2.0.9-5) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * Simplify BTS URL.

  [ Niko Tyni ]
  * Skip t/protocol/pseudo_http.t, incompatible with Apache >= 2.4.20.
    (See #820824)

 -- Niko Tyni <ntyni@debian.org>  Tue, 10 May 2016 22:05:39 +0300

libapache2-mod-perl2 (2.0.9-4ubuntu2) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 17:03:36 +0100
