=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Niko Tyni <ntyni@debian.org>, gregor herrmann <gregoa@debian.org>,
  Dominic Hargreaves <dom@earth.li>,
  Ivan Kohler <ivan-debian@420.am>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://perl.apache.org/
-Vcs-Git: git://anonscm.debian.org/pkg-perl/packages/libapache2-mod-perl2.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libapache2-mod-perl2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libapache2-mod-perl2.git
 Build-Depends: perl,
  apache2-dev (>= 2.4~),
@@ -25,7 +25,8 @@
  libreadonly-perl,
  libwww-perl,
  locales,
- netbase
+ netbase,
+ rename,
 Build-Conflicts: apache2-mpm-event
 Testsuite: autopkgtest
